﻿using UnityEngine;

/// <summary>
/// This class represents a single conversation element (phrase, sentence, etc.). The properties represent the 
/// components of a dialog UI that may be shown to the player. In this implementation the dialog is shown with a 
/// character name, a small profile photo of the character, and the content of the entry. A given conversation
/// would comprise of an array of this class.
/// </summary>
[System.Serializable]
public class ConversationEntry
{
    public string SpeakingCharacterName;
    public string ConversationText;
    public Sprite DisplayPic;
}